<template>
  <div class="_color-picker-container">
    <slider-picker v-model="selectedColor" @input="updateValue"></slider-picker>
  </div>
</template>

<script>
import { Slider } from 'vue-color'

/**
 * ColorPicker component
 */
export default {
  name: 'ColorPicker',
  data () {
    return {
      selectedColor: this.color
    }
  },
  components: {
    // 'material-picker': material,
    // 'compact-picker': compact,
    // 'swatches-picker': swatches,
    'slider-picker': Slider
    // 'sketch-picker': sketch,
    // 'chrome-picker': chrome,
    // 'photoshop-picker': photoshop
  },
  props: {
    /**
     * vue-color v-model prop
     */
    color: {
      type: String,
      default: __THEME_PRIMARY_COLOR__
    }
  },
  methods: {
    updateValue: function (val) {
      this.$emit('update', val)
    }
  },
  watch: {
    color: function (to, from) {
      this.selectedColor = this.color
    }
  }
}
</script>

<style lang="scss">
._color-picker-container {
  // ...
}

/* vue-color overwriting */
.vc-slider {
  @apply w-full #{!important};
}
</style>
